% BMCODE
%
% This directory contains code for a Brookshear Machine emulator and
% assembler. It should be started from BMACHINE in the parent directory.
% BMHELP and ASSEMBHELP give full information about the system.
%
% Files
%   assembhelp        - Extended Brookshear Machine Assembler
%   assembler         - is an assembler for the extended Brookshear machine
%   bitmapDisplay     - displays low 128 bytes of memory as 32x32 bitmap
%   bits2strings      - returns strings for displaying memory contents
%   bm                - GUI for Brookshear Machine emulator
%   bmhelp            - Extended Brookshear Machine Emulator
%   dble2f8           - converts from double to Brookshear's 1-byte floating point
%   dble2int8         - converts double to 1-byte signed integer
%   decodeInstr       - decodes a BM instruction
%   f82dble           - converts Brookshear 1-byte float to double
%   instr2string      - returns string representation of instruction
%   instr2string_ass  - returns string representation of instruction
%   instr2string_desc - returns string representation of instruction
%   int82dble         - converts 1-byte signed integer to double
%   loadmem           - loads instructions from text into memory
%   memstrings        - returns strings describing contents of memory as instructions
%   newbm             - creates a new Brookshear machine
%   nibbles2byte      - converts two nibbles to a byte
%   oddaddr           - checks whether an address is at an odd offset from the pc
%   readtext          - reads a file's text into a string
%   regstrings        - returns strings representing the current state of the registers
%   resetReg          - resets registers
%   saveDisplay       - saves the current display in a file
%   savemem           - saves the current state of memory in a text file
%   showhelp          - displays a help file
%   showinstructions  - displays a list of BM instructions
%   step              - carries out one execution step on a BM
%   string2val        - returns value from text entry in display
%   todo              - Changes to consider
%   writetext         - writes text to a file
